Subject: Re: Working Group adoption for Seamless BFD (requires re-charter)

From: Jeffrey Haas <[email-masked]>
Date: Tue, 6 May 2014 12:02:51 -0400

[apologies for top-posting]

Working Group,

The poll of the mailing list for support for re-chartering to include the
S-BFD work showed very nice support for the proposal.  This includes both
chartering for the work and also for using the base and use case documents
as the initial seeds for the work.

In a separate thread, we seem to have somewhat converged on possible
re-chartering text:

: Define a mechanism to perform single-ended path (i.e. continuity)
: verification based on the BFD specification; allow such mechanism to work
: both proactively and on-demand, without prominent initial delay; allow the
: mechanism to maintain multiple sessions to a target entity and between the
: same pair of network entities. In doing this work, the WG will work closely
: with at least the following other WGs: ISIS, OSPF, SPRING.

While I feel "single-ended" isn't *quite* there, it's still much clearer
than seamless, in my opinion.  Sender-initiated?  (And "soft", also
proposed, had a nicer "marketing" feel to it.)

Ah well, choosing names has always been a hard thing.  

This note is to give the authors a few additional days to finalize the name
we'll take to the IESG as part of the charter work.  
(I.e. draft-ietf-bfd-s-something.)  I have threatened Nobo that if a second
rename happens, the feature will be renamed "Fred".

-- Jeff

On Mon, Apr 21, 2014 at 04:33:14PM -0400, Jeffrey Haas wrote:
> Working Group,
> 
> >From our last in-person IETF meeting in Vancouver, the S-BFD authors were
> going to put additional work into their use cases and base protocol document
> prior to requesting Working Group adoption.  That work has since been done
> and, IMO, the quality of the documents has nicely improved.
> 
> But, being IETF work, we'd like to carry out further work on the proposal in
> the openness of the WG.  Thus, I'd like to request the Working Group to
> consider whether we'll want to adopt the Seamless BFD (S-BFD) documents.
> Note that this work is currently outside the scope of our charter and would
> require a re-charter.  Once we have a sense of the group for the interest in
> this task we'll propose the charter update in support of the drafts.
> 
> The following two documents are current and describe the work:
> 
> http://datatracker.ietf.org/doc/draft-aldrin-bfd-seamless-use-case/
> http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-base/
> 
> Given the scope of this feature, I would like to particularly remind the
> Working Group to focus on its security aspects.
> 
> The following three documents are slightly stale as a result of the
> revisions in the base and use cases draft and will require an update.
> However, they provide a sense of how the S-BFD mechanisms might be used.
> 
> Note in particular that the SR work will require coordination with the
> SPRING Working Group.
> 
> http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-alert-discrim/
> http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-ip/ 
> http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-sr/
> 
> Finally, there is known future work targeting the distribution of the
> necessary S-BFD bootstrapping information in OSPF and ISIS.  No drafts have
> been authored on the topic at this time, but work on them is expected.
> 
> This begins a two week poll on whether the WG would like to adopt S-BFD as a
> chartered task.  This poll ends on May 6.
> 
> As part of your response, please indicate if you have specific concerns
> about individual drafts being part of this work.
> 
> Since Nobo is a contributor to this work, I will be taking the part of the
> shepherding chair.
> 
> -- Jeff

---

From: Pablo Frank <[email-masked]>
Date: Tue, 6 May 2014 13:14:27 -0400

Ah well, if you're looking for "marketing" names:
- Simple BFD
- Speedy BFD
- Swift BFD
- Er, Sexy BFD?

More seriously though, it seems like what you've really done is define a
new Synchronous mode to augment the existing Asynchronous and Demand modes.
 So, um. Synchronous-BFD?

regards,
Pablo

---

From: Marc Binderberger <[email-masked]>
Date: Tue, 6 May 2014 10:45:23 -0700

Hello Jeff et al.,

> Ah well, choosing names has always been a hard thing.  

indeed :-)

Sender-initiated is a nice one too. It actually gets the idea that the 
session is under control of the Initiator (or Sender).

Less "marketing", more descriptive. Old-fashion in these loud marketing days, 
I know ... :-)

Marc

---

From: Marc Binderberger <[email-masked]>
Date: Tue, 6 May 2014 11:15:25 -0700

Maybe we should overcome our engineer limits and go for "S-BFD" _without_ any 
meaning? Just imagine a dynamically drawn "S" for the Logo ;-)

Staying within the limits: Scallop in technical use means a loop or a curve, 
I think. And that's what we do, we send the packets on a round course. So 
Scallop-BFD ? ... doesn't sound "sexy" though :-)

Okay, back to serious work, ahem.

Marc

On Tue, 6 May 2014 13:14:27 -0400, Pablo Frank wrote:
> new Synchronous mode to augment the existing Asynchronous and Demand 
> modes.  So, um. Synchronous-BFD?
> 
> regards,
> Pablo
> 
> 
>

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 6 May 2014 18:43:45 +0000

Uh lah lah, Scallop!

Certainly not "sexy" but catchy and you know I love fish (and shell fish) :)

"synchronous" suggested by Pablo is not bad (thanks Pabrlo!), as well as others suggested by others.

My thoughts, let us proceed with "seamless" since ...

- There hasn't been a proposal that fits perfectly.
- "seamless" is not bad and at least has a reason for the naming (mentioned previously).
- There are already couple of documents folks are working on, using the name "seamless".
- If name changes to X, then "Fred" is the only choice if we need to change it again from X (my agreement with Jeff :)).

With that said, floor is still open. If one can propose a good name and we can have consensus, I'm ok with renaming.

-Nobo

> -----Original Message-----
> From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Marc
> Binderberger
> Sent: Tuesday, May 06, 2014 2:15 PM
> To: Pablo Frank
> Cc: [email-masked]
> Subject: Re: Working Group adoption for Seamless BFD (requires re-charter)
> 
> 
> Maybe we should overcome our engineer limits and go for "S-BFD"
> _without_ any meaning? Just imagine a dynamically drawn "S" for the
> Logo ;-)
> 
> Staying within the limits: Scallop in technical use means a loop or a curve, I
> think. And that's what we do, we send the packets on a round course. So
> > More seriously though, it seems like what you've really done is define
> > a new Synchronous mode to augment the existing Asynchronous and
> Demand
> >> The poll of the mailing list for support for re-chartering to include
> >> the S-BFD work showed very nice support for the proposal.  This
> >> includes both chartering for the work and also for using the base and
> >> use case documents as the initial seeds for the work.
> >>
> >> While I feel "single-ended" isn't *quite* there, it's still much
> >> clearer than seamless, in my opinion.  Sender-initiated?  (And
> >> "soft", also proposed, had a nicer "marketing" feel to it.)
> >>
> >> This note is to give the authors a few additional days to finalize
> >> the name we'll take to the IESG as part of the charter work.
> >> (I.e. draft-ietf-bfd-s-something.)  I have threatened Nobo that if a
> >> second rename happens, the feature will be renamed "Fred".
> >>
> >> -- Jeff
> >>
> >>> >From our last in-person IETF meeting in Vancouver, the S-BFD
> >>> >authors
> >> were
> >>> prior to requesting Working Group adoption.  That work has since
> >>> been
> >> done
> >>> the openness of the WG.  Thus, I'd like to request the Working Group
> >>> to consider whether we'll want to adopt the Seamless BFD (S-BFD)
> documents.
> >>> Note that this work is currently outside the scope of our charter
> >>> and
> >> would
> >>> Given the scope of this feature, I would like to particularly remind
> >>> the Working Group to focus on its security aspects.
> >>>
> >>> Note in particular that the SR work will require coordination with
> >>> the SPRING Working Group.
> >>>
> >>> http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-alert-discr
> >>> im/ http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-ip/
> >>> Finally, there is known future work targeting the distribution of
> >>> the necessary S-BFD bootstrapping information in OSPF and ISIS.  No
> >>> drafts
> >> have
> >>> This begins a two week poll on whether the WG would like to adopt
> >>> S-BFD
> >> as a
> >>> As part of your response, please indicate if you have specific
> >>> concerns about individual drafts being part of this work.
> >>>
> >>> Since Nobo is a contributor to this work, I will be taking the part
> >>> of
> >> the
> >>> shepherding chair.
> >>>
> >>> -- Jeff
> >>
> >

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 7 May 2014 16:16:49 -0400

> With that said, floor is still open. If one can propose a good name and we can have consensus, I'm ok with renaming.

Ok, I think I've been bullied down as being the outlier.  Just make sure to
amend the main document with what "seamless" means - see prior discussion.

I'll send off the charter request momentarily.

-- Jeff

---

From: John E Drake <[email-masked]>
Date: Wed, 7 May 2014 20:30:44 +0000

seam*less

 (of a fabric or surface) smooth and without seams or obvious joins.
"seamless stockings"

smooth and continuous, with no apparent gaps or spaces between one part and the next.
"the seamless integration of footage from different sources"

Yours Irrespectively,

John

> From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Jeffrey Haas
> Sent: Wednesday, May 07, 2014 1:17 PM
> To: Nobo Akiya (nobo)
> Cc: [email-masked]
> > - If name changes to X, then "Fred" is the only choice if we need to change it
> again from X (my agreement with Jeff :)).
> >

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Wed, 7 May 2014 21:51:09 +0000

Hi Jeff, John,

[from Jeff]
> > Ok, I think I've been bullied down as being the outlier.  Just make
> > sure to amend the main document with what "seamless" means - see prior
> discussion.

Sounds good. We'll add texts in draft-ietf...-01.

[from John]
> "the seamless integration of footage from different sources"

"smooth and continuous" may fit nicely into the texts to add, thanks for the suggestion!

-Nobo